Jump to content
funtoo forums
  • 0
adcdam

please help very newbie with funtoo xorg install

Question

i followed this guide http://www.funtoo.org/X_Window_Systembut when i do emerge  xorg-x11

i get this  * IMPORTANT: 3 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!

!!! The ebuild selected to satisfy "x11-drivers/nvidia-drivers" has unmet requirements.
- x11-drivers/nvidia-drivers-352.21::gentoo USE="(multilib) tools -X -acpi -gtk2 -gtk3 -pax_kernel -uvm"

  The following REQUIRED_USE flag constraints are unsatisfied:
    tools? ( X any-of ( gtk2 gtk3 ) )

(dependency required by "x11-base/xorg-drivers-1.17[video_cards_nvidia]" [ebuild])
(dependency required by "x11-base/xorg-server-1.16.4-r1[xorg]" [ebuild])
(dependency required by "x11-base/xorg-x11-7.4-r2" [ebuild])
(dependency required by "xorg-x11" [argument])
 

 

what do i have to do?

Share this post


Link to post
Share on other sites

22 answers to this question

Recommended Posts

  • 0

i did that , before that i added this to the  /etc/portage/make.conf file

MAKEOPTS="-j9"
LINGUAS="es"
VIDEO_CARDS="nvidia"
USE="X acpi gtk2 gtk3 pax_kernel uvm alsa"
 

now i got this

 emerge xorg-x11

 * IMPORTANT: 3 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!
[ebuild  N     ] dev-util/gperf-3.0.4
[ebuild  N     ] app-text/sgml-common-0.6.3-r5
[ebuild  N     ] dev-libs/lzo-2.08-r1  USE="-examples -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-text/poppler-data-0.4.7
[ebuild  N     ] dev-libs/libunistring-0.9.5  USE="-doc -static-libs"
[ebuild  N     ] media-libs/libpng-1.6.17  USE="apng (-neon) -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libxslt-1.1.28-r1002  USE="crypt python -debug -static-libs" ABI_X86="(64) -32 (-x32)" PYTHON_ABIS="2.7 -2.6"
[ebuild  N     ] app-eselect/eselect-opengl-1.3.1-r3
[ebuild  N     ] app-arch/unzip-6.0-r3  USE="bzip2 unicode -natspec"
[ebuild  N     ] app-text/build-docbook-catalog-1.20
[ebuild  N     ] dev-libs/gobject-introspection-common-1.42.0
[ebuild  N     ] dev-perl/XML-NamespaceSupport-1.110.0-r1
[ebuild  N     ] dev-perl/XML-Parser-2.440.0
[ebuild  N     ] app-text/libpaper-1.1.24-r2  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] virtual/perl-ExtUtils-MakeMaker-7.40.100_rc
[ebuild  N     ] virtual/perl-CPAN-Meta-YAML-0.12.0-r1
[ebuild  N     ] virtual/perl-Parse-CPAN-Meta-1.441.400-r1
[ebuild  N     ] virtual/yacc-0
[ebuild  N     ] app-eselect/eselect-opencl-1.1.0-r3
[ebuild  N     ] app-arch/rpm2targz-9.0.0.5g
[ebuild  N     ] app-text/qpdf-5.1.2  USE="-doc -examples -static-libs {-test}"
[ebuild  N     ] dev-libs/nettle-3.1  USE="gmp -doc (-neon) -static-libs {-test}" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="aes"
[ebuild  N     ] net-dns/libidn-1.31  USE="nls -doc -emacs -java -mono -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libatomic_ops-7.4.2
[ebuild  N     ] dev-util/gdbus-codegen-2.44.1-r1000  PYTHON_ABIS="2.7 3.3 -2.6 -3.1 -3.2 -3.4 (-3.5)"
[ebuild  N     ] x11-themes/hicolor-icon-theme-0.15
[ebuild  N     ] dev-libs/vala-common-0.26.2
[ebuild  N     ] dev-perl/XML-SAX-Base-1.80.0-r1
[ebuild  N     ] sys-libs/mtdev-1.1.5  USE="-static-libs"
[ebuild  N     ] app-eselect/eselect-mesa-0.0.10
[ebuild  N     ] dev-python/packaging-15.2  USE="-doc {-test}" PYTHON_ABIS="2.7 3.3 -2.6 -2.7-jython -2.7-pypy -3.1 -3.2 -3.2-pypy -3.4 (-3.5)"
[ebuild  N     ] dev-lang/nasm-2.11.08  USE="-doc"
[ebuild  N     ] virtual/perl-Storable-2.530.0
[ebuild  N     ] virtual/perl-Text-ParseWords-3.300.0
[ebuild  N     ] virtual/perl-Test-Harness-3.350.0
[ebuild  N     ] virtual/perl-Perl-OSType-1.8.0
[ebuild  N     ] virtual/perl-Module-Metadata-1.0.26
[ebuild  N     ] virtual/perl-Getopt-Long-2.450.0
[ebuild  N     ] virtual/perl-ExtUtils-ParseXS-3.280.0
[ebuild  N     ] virtual/perl-ExtUtils-Manifest-1.700.0-r1
[ebuild  N     ] virtual/perl-ExtUtils-Install-2.40.0
[ebuild  N     ] virtual/perl-ExtUtils-CBuilder-0.280.221
[ebuild  N     ] virtual/perl-JSON-PP-2.273.0
[ebuild  N     ] virtual/perl-version-0.990.900-r2
[ebuild  N     ] virtual/linux-sources-2.6  USE="-hardened"
[ebuild  N     ] x11-proto/xproto-7.0.28  USE="-doc" ABI_X86="32 (64) (-x32)"
[ebuild  N     ] media-fonts/font-util-1.3.1
[ebuild  N     ] x11-proto/xextproto-7.3.0  USE="-doc" ABI_X86="32 (64) (-x32)"
[ebuild  N     ] x11-proto/inputproto-2.3.1  ABI_X86="32 (64) (-x32)"
[ebuild  N     ] media-libs/freetype-2.6  USE="X adobe-cff bzip2 png -bindist -debug -doc -fontforge -harfbuzz -infinality -static-libs -utils" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/kbproto-1.0.7  ABI_X86="32 (64) (-x32)"
[ebuild  N     ] dev-util/gtk-doc-am-1.24
[ebuild  N     ] x11-libs/xtrans-1.3.5  USE="-doc"
[ebuild  N     ] x11-proto/xf86vidmodeproto-2.3.1-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/renderproto-0.11.1-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-text/docbook-xsl-stylesheets-1.78.0-r1  USE="-ruby"
[ebuild  N     ] x11-misc/util-macros-1.19.0
[ebuild  N     ] x11-misc/xbitmaps-1.1.1
[ebuild  N     ] x11-proto/damageproto-1.2.1-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-python/setuptools-17.1.1-r1000  USE="{-test}" PYTHON_ABIS="2.7 3.3 -2.6 -2.7-jython -2.7-pypy -3.1 -3.2 -3.2-pypy -3.4 (-3.5)"
[ebuild  N     ] x11-proto/glproto-1.4.17-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-util/intltool-0.51.0-r1
[ebuild  N     ] x11-proto/xf86dgaproto-2.1-r2  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/dri2proto-2.8-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/recordproto-1.14.2-r1  USE="-doc" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/compositeproto-0.4.2-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libpthread-stubs-0.3-r1  USE="-static-libs" ABI_X86="32 (64) (-x32)"
[ebuild  N     ] x11-proto/fontsproto-2.1.3  USE="-doc"
[ebuild  N     ] x11-proto/videoproto-2.3.2  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/xcb-proto-1.11-r1000  ABI_X86="32 (64) (-x32)" PYTHON_ABIS="2.7 3.3 -2.6 -3.1 -3.2 -3.4 (-3.5)"
[ebuild  N     ] x11-proto/randrproto-1.5.0  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/xineramaproto-1.2.1-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/pixman-0.32.6  USE="(-altivec) (-iwmmxt) (-loongson2f) (-neon) -static-libs" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="mmxext sse2 ssse3"
[ebuild  N     ] x11-proto/presentproto-1.0  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/xf86driproto-2.1.1-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/dri3proto-1.0  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libevdev-1.4.3  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-perl/XML-SAX-0.990.0-r1
[ebuild  N     ] x11-proto/xf86bigfontproto-1.2.0-r1  ABI_X86="32 (64) (-x32)"
[ebuild  N     ] x11-proto/trapproto-3.4.3
[ebuild  N     ] x11-proto/resourceproto-1.2.0
[ebuild  N     ] x11-proto/xf86rushproto-1.1.2-r1
[ebuild  N     ] x11-libs/libpciaccess-0.13.4  USE="zlib -minimal -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/scrnsaverproto-1.2.2-r1  USE="-doc" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-proto/bigreqsproto-1.1.2  USE="-doc"
[ebuild  N     ] x11-proto/xcmiscproto-1.2.2  USE="-doc"
[ebuild  N     ] sys-power/acpid-2.0.23  USE="(-selinux) -systemd"
[ebuild  N     ] media-libs/jbig2dec-0.11-r1  USE="png -static-libs {-test}"
[ebuild  N     ] app-arch/libarchive-3.1.2-r1  USE="acl bzip2 e2fsprogs iconv lzma xattr zlib -expat -lzo -nettle -static-libs"
[ebuild  N     ] dev-libs/libtasn1-4.5  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/boehm-gc-7.4.2  USE="cxx threads -static-libs"
[ebuild  N     ] dev-util/desktop-file-utils-0.22  USE="-emacs"
[ebuild  N     ] sys-devel/llvm-3.6.1  USE="libffi ncurses python static-analyzer xml -clang -debug -doc -gold -libedit -multitarget -ocaml {-test}" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 -pypy" VIDEO_CARDS="-radeon"
[ebuild  N     ] media-libs/libjpeg-turbo-1.4.1  USE="-java -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] virtual/perl-CPAN-Meta-2.150.1
[ebuild  N     ] sys-libs/gpm-1.20.7-r2  USE="(-selinux) -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] virtual/jpeg-0-r2  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXau-1.0.8  USE="-static-libs" ABI_X86="32 (64) (-x32)"
[ebuild  N     ] dev-libs/atk-2.14.0  USE="nls -introspection {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-util/cmake-3.2.3  USE="ncurses -doc -emacs -qt4 -qt5 {-test}"
[ebuild  N     ] x11-libs/libfontenc-1.1.3  USE="-static-libs"
[ebuild  N     ] x11-libs/libICE-1.0.9  USE="ipv6 -doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-perl/Module-Build-0.421.400  USE="{-test}"
[ebuild  N     ] x11-libs/libXdmcp-1.1.2  USE="-doc -static-libs" ABI_X86="32 (64) (-x32)"
[ebuild  N     ] x11-proto/fixesproto-5.0-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libxshmfence-1.2  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libdrm-2.4.61  USE="libkms -static-libs -valgrind" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="(-exynos) (-freedreno) -intel -nouveau (-omap) -radeon (-tegra) -vmware"
[ebuild  N     ] x11-apps/sessreg-1.1.0
[ebuild  N     ] x11-misc/makedepend-1.0.5
[ebuild  N     ] x11-apps/rgb-1.0.6
[ebuild  N     ] app-text/docbook-xml-dtd-4.4-r2
[ebuild  N     ] app-text/docbook-xml-dtd-4.2-r2
[ebuild  N     ] dev-scheme/guile-2.0.11-r1  USE="deprecated nls regex threads -debug -debug-malloc -emacs -networking -static"
[ebuild  N     ] app-text/docbook-xml-dtd-4.1.2-r6
[ebuild  N     ] dev-libs/libcroco-0.6.8-r1  USE="{-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-perl/XML-LibXML-2.12.100  USE="{-test}"
[ebuild  N     ] dev-python/beaker-1.6.4-r1000  USE="{-test}" PYTHON_ABIS="2.7 3.3 -2.6 -2.7-jython -2.7-pypy -3.1 -3.2 -3.2-pypy -3.4 (-3.5)"
[ebuild  N     ] dev-python/markupsafe-0.23-r1000  PYTHON_ABIS="2.7 3.3 -2.6 -2.7-jython -2.7-pypy -3.1 -3.2 -3.2-pypy -3.4 (-3.5)"
[ebuild  N     ] dev-python/mock-1.0.1-r1000  USE="-doc {-test}" PYTHON_ABIS="2.7 3.3 -2.6 -2.7-jython -2.7-pypy -3.1 -3.2 -3.2-pypy -3.4 (-3.5)"
[ebuild  N     ] x11-apps/mkfontscale-1.1.2
[ebuild  N     ] x11-libs/libxcb-1.11-r1  USE="-doc (-selinux) -static-libs {-test} -xkb" ABI_X86="32 (64) (-x32)"
[ebuild  N     ] media-libs/tiff-4.0.3-r6  USE="cxx jpeg zlib -jbig -lzma -static-libs {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-apps/iceauth-1.0.7
[ebuild  N     ] x11-libs/libXfont-1.5.1  USE="bzip2 ipv6 truetype -doc -static-libs"
[ebuild  N     ] x11-libs/libSM-1.2.2-r1  USE="ipv6 uuid -doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-text/xmlto-0.0.26  USE="-latex"
[ebuild  N     ] dev-perl/File-BaseDir-0.30.0-r1  USE="{-test}"
[ebuild  N     ] sys-devel/autogen-5.18.4-r3  USE="-libopts -static-libs"
[ebuild  N     ] dev-perl/XML-Simple-2.200.0-r1
[ebuild  N     ] media-gfx/graphite2-1.2.4-r1  USE="-perl {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] virtual/python-mock-0  PYTHON_ABIS="2.7 3.3 -2.6 -2.7-jython -2.7-pypy -3.1 -3.2 -3.2-pypy -3.4 (-3.5)"
[ebuild  N     ] x11-libs/libX11-1.6.3  USE="ipv6 -doc -static-libs {-test}" ABI_X86="32 (64) (-x32)"
[ebuild  N     ] x11-apps/mkfontdir-1.0.7
[ebuild  N     ] media-fonts/encodings-1.0.4
[ebuild  N     ] media-fonts/font-alias-1.0.3-r1
[ebuild  N     ] x11-apps/bdftopcf-1.0.5
[ebuild  N     ] media-libs/lcms-2.6-r1  USE="jpeg threads tiff zlib -doc -static-libs {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/xcb-util-renderutil-0.3.9-r1  USE="-doc -static-libs {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-apps/xlsatoms-1.1.2
[ebuild  N     ] x11-libs/xcb-util-wm-0.4.1-r1  USE="-doc -static-libs {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/xcb-util-keysyms-0.4.0  USE="-doc -static-libs {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] net-libs/gnutls-3.3.16-r1  USE="crywrap cxx nls openssl zlib -dane -doc -examples -guile -pkcs11 -static-libs {-test}" ABI_X86="(64) -32 (-x32)" LINGUAS="-cs -de -en -fi -fr -it -ms -nl -pl -sv -uk -vi -zh_CN"
[ebuild  N     ] dev-perl/File-DesktopEntry-0.40.0-r1  USE="{-test}"
[ebuild  N     ] x11-misc/icon-naming-utils-0.8.90
[ebuild  N     ] dev-python/mako-1.0.0-r1000  USE="-doc {-test}" PYTHON_ABIS="2.7 3.3 -2.6 -2.7-jython -2.7-pypy -3.1 -3.2 -3.2-pypy -3.4 (-3.5)"
[ebuild  N     ] x11-libs/libXext-1.3.3  USE="-doc -static-libs" ABI_X86="32 (64) (-x32)"
[ebuild  N     ] x11-libs/libXt-1.1.5  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXrender-0.9.9  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXfixes-5.0.1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libxkbfile-1.0.9  USE="-static-libs"
[ebuild  N     ] x11-apps/xprop-1.2.2
[ebuild  N     ] media-fonts/font-adobe-utopia-75dpi-1.0.4  USE="X nls"
[ebuild  N     ] media-fonts/font-sun-misc-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-adobe-75dpi-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-micro-misc-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-misc-cyrillic-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-bh-type1-1.0.3  USE="X"
[ebuild  N     ] media-fonts/font-dec-misc-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-misc-misc-1.1.2  USE="X nls"
[ebuild  N     ] x11-apps/xwininfo-1.1.3
[ebuild  N     ] media-fonts/font-bh-ttf-1.0.3  USE="X"
[ebuild  N     ] media-fonts/font-bitstream-type1-1.0.3  USE="X"
[ebuild  N     ] x11-apps/xcmsdb-1.0.5
[ebuild  N     ] media-fonts/font-misc-ethiopic-1.0.3  USE="X"
[ebuild  N     ] media-fonts/font-cronyx-cyrillic-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-daewoo-misc-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-misc-meltho-1.0.3  USE="X"
[ebuild  N     ] media-fonts/font-sony-misc-1.0.3  USE="X nls"
[ebuild  N     ] x11-apps/luit-1.1.1
[ebuild  N     ] media-fonts/font-schumacher-misc-1.1.2  USE="X nls"
[ebuild  N     ] media-fonts/font-adobe-utopia-type1-1.0.4  USE="X"
[ebuild  N     ] media-fonts/font-bitstream-speedo-1.0.2  USE="X"
[ebuild  N     ] media-fonts/font-bh-lucidatypewriter-75dpi-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-bh-lucidatypewriter-100dpi-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-bitstream-75dpi-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-mutt-misc-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-ibm-type1-1.0.3  USE="X"
[ebuild  N     ] media-fonts/font-xfree86-type1-1.0.4  USE="X"
[ebuild  N     ] media-fonts/font-bitstream-100dpi-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-bh-100dpi-1.0.3  USE="X nls"
[ebuild  N     ] x11-apps/xrefresh-1.0.5
[ebuild  N     ] media-fonts/font-cursor-misc-1.0.3  USE="X nls"
[ebuild  N     ] x11-apps/xwud-1.0.4
[ebuild  N     ] media-fonts/font-jis-misc-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-adobe-100dpi-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-screen-cyrillic-1.0.4  USE="X nls"
[ebuild  N     ] media-fonts/font-adobe-utopia-100dpi-1.0.4  USE="X nls"
[ebuild  N     ] media-fonts/font-isas-misc-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-arabic-misc-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-winitzki-cyrillic-1.0.3  USE="X nls"
[ebuild  N     ] media-fonts/font-bh-75dpi-1.0.3  USE="X nls"
[ebuild  N     ] x11-apps/xmodmap-1.0.9
[ebuild  N     ] media-fonts/urw-fonts-2.4.9  USE="X"
[ebuild  N     ] media-libs/openjpeg-2.1.0-r1  USE="-doc -static-libs {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-perl/File-MimeInfo-0.270.0  USE="{-test}"
[ebuild  N     ] media-fonts/liberation-fonts-2.00.1-r1  USE="X -fontforge"
[ebuild  N     ] x11-libs/libXmu-1.1.2  USE="ipv6 -doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXi-1.7.4  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXrandr-1.5.0  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXcursor-1.1.14  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] sys-apps/dbus-1.8.18  USE="X -debug -doc (-selinux) -static-libs -systemd {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXxf86vm-1.1.4  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-apps/xkbcomp-1.3.0
[ebuild  N     ] x11-libs/libXdamage-1.1.4-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXcomposite-0.4.4-r1  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] virtual/ttf-fonts-1
[ebuild  N     ] x11-apps/xwd-1.0.6
[ebuild  N     ] x11-apps/xkbevd-1.1.4
[ebuild  N     ] x11-apps/appres-1.0.4
[ebuild  N     ] x11-libs/libXv-1.0.10  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXinerama-1.1.3  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXpm-3.5.11  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXxf86dga-1.1.4  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libvdpau-0.9  USE="dri -doc {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] www-client/links-2.9-r1  USE="X bzip2 gpm ipv6 jpeg ssl tiff unicode zlib -directfb -fbcon -livecd -lzma (-suid) (-svga)"
[ebuild  N     ] x11-apps/xauth-1.0.9-r2  USE="ipv6"
[ebuild  N     ] media-libs/mesa-10.5.2  USE="classic dri3 egl gallium gbm llvm nptl pax_kernel udev xa -bindist -d3d9 -debug -gles1 -gles2 -opencl -openmax -osmesa -pic (-selinux) -vaapi -vdpau -wayland -xvmc" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="(-freedreno) -i915 -i965 -ilo -intel -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi -vmware"
[ebuild  N     ] x11-libs/libXtst-1.2.2  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-apps/xcursorgen-1.0.6
[ebuild  N     ] x11-apps/xset-1.2.3
[ebuild  N     ] x11-apps/xrdb-1.1.0
[ebuild  N     ] x11-libs/libXaw-1.0.13  USE="-deprecated -doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-misc/xkeyboard-config-2.15  USE="nls"
[ebuild  N     ] x11-apps/xf86dga-1.0.3
[ebuild  N     ] x11-apps/xev-1.2.2
[ebuild  N     ] x11-apps/xhost-1.0.7  USE="ipv6"
[ebuild  N     ] x11-apps/xsetroot-1.1.1
[ebuild  N     ] x11-apps/xrandr-1.4.3
[ebuild  N     ] x11-apps/xpr-1.0.4
[ebuild  N     ] x11-apps/xkill-1.0.4
[ebuild  N     ] x11-apps/xinput-1.6.1
[ebuild  N     ] x11-apps/smproxy-1.0.6
[ebuild  N     ] x11-apps/xgamma-1.0.6
[ebuild  N     ] x11-apps/xvinfo-1.1.3
[ebuild  N     ] virtual/opengl-7.0-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-apps/xdpyinfo-1.3.2  USE="-dga -dmx -xinerama"
[ebuild  N     ] x11-themes/xcursor-themes-1.0.4
[ebuild  N     ] x11-apps/setxkbmap-1.3.1
[ebuild  N     ] x11-apps/bitmap-1.0.8
[ebuild  N     ] x11-apps/xkbutils-1.0.4
[ebuild  N     ] x11-apps/xinit-1.3.4-r1  USE="minimal -systemd"
[ebuild  N     ] x11-misc/xdg-utils-1.1.0_rc3_p20150119  USE="perl -doc"
[ebuild  N     ] app-accessibility/at-spi2-core-2.14.1  USE="X nls -introspection" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-apps/xdriinfo-1.0.5
[ebuild  N     ] app-accessibility/at-spi2-atk-2.14.1-r1  USE="{-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/glu-9.0.0-r1  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] virtual/glu-9.0-r1  ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/freeglut-3.0.0  USE="-debug -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/jasper-1.900.1-r9  USE="jpeg opengl -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/gdk-pixbuf-2.31.1  USE="X jpeg jpeg2k tiff -debug -introspection {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] media-libs/fontconfig-2.11.94  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-eselect/eselect-fontconfig-1.1
[ebuild  N     ] x11-libs/cairo-1.14.2  USE="X glib opengl svg (-aqua) -debug (-directfb) (-gles2) -static-libs -valgrind -xcb -xlib-xcb" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXft-2.3.2  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] app-text/poppler-0.33.0  USE="cxx jpeg jpeg2k lcms png tiff utils -cairo -cjk -curl -debug -doc -introspection -qt4 -qt5"
[ebuild  N     ] x11-apps/x11perf-1.6.0
[ebuild  N     ] media-libs/harfbuzz-0.9.35  USE="cairo glib graphite icu truetype -introspection -static-libs {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/pango-1.36.8  USE="X -debug -introspection" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] gnome-base/librsvg-2.40.9  USE="-introspection -tools -vala" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-themes/adwaita-icon-theme-3.14.1-r1  USE="-branding"
[ebuild  N     ] x11-base/xorg-server-1.16.4-r1  USE="ipv6 nptl suid udev xorg -dmx -doc -glamor -kdrive -minimal (-selinux) -static-libs -systemd -tslib -unwind -wayland -xnest -xvfb"
[ebuild  N     ] x11-base/xorg-drivers-1.17  INPUT_DEVICES="evdev keyboard mouse synaptics -acecad -aiptek -elographics -fpit -hyperpen -joystick (-libinput) -mutouch -penmount -tslib -vmmouse -void -wacom" VIDEO_CARDS="nvidia -apm -ast -chips -cirrus -dummy -epson -fbdev -fglrx (-freedreno) (-geode) -glint -i128 (-i740) -intel -mach64 -mga -neomagic -nouveau -nv (-omap) (-omapfb) -qxl -r128 -radeon -radeonsi -rendition -s3 -s3virge -savage -siliconmotion -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx (-tegra) -tga -trident -tseng -vesa -via -virtualbox -vmware (-voodoo)"
[ebuild  N     ] x11-drivers/xf86-input-evdev-2.9.2
[ebuild  N     ] x11-drivers/xf86-input-mouse-1.9.1
[ebuild  N     ] x11-drivers/xf86-input-synaptics-1.8.2
[ebuild  N     ] x11-drivers/xf86-input-keyboard-1.8.1
[ebuild  N     ] net-print/cups-2.0.2-r2  USE="X acl dbus pam python ssl threads -debug -java -kerberos -lprng-compat (-selinux) -static-libs -systemd -usb -xinetd -zeroconf" ABI_X86="(64) -32 (-x32)" LINGUAS="es -ca -cs -de -fr -it -ja -pt_BR -ru" PYTHON_SINGLE_ABI="3.3 -2.6 -2.7 -3.1 -3.2 -3.4 -3.5"
[ebuild  N     ] app-text/ghostscript-gpl-9.15-r1  USE="X cups dbus -djvu -gtk -idn -static-libs" LINGUAS="-de -ja -ko -zh_CN -zh_TW"
[ebuild  N     ] net-print/cups-filters-1.0.71  USE="dbus foomatic jpeg png tiff -perl -static-libs -zeroconf"
[ebuild  N     ] x11-libs/gtk+-2.24.27  USE="cups (-aqua) -debug -examples -introspection {-test} -vim-syntax -xinerama" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/gtk+-3.14.10  USE="X cups (-aqua) -broadway -cloudprint -colord -debug -examples -introspection {-test} -vim-syntax -wayland -xinerama" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-drivers/nvidia-drivers-352.21  USE="X acpi gtk2 gtk3 (multilib) pax_kernel tools uvm"
[ebuild  N     ] x11-libs/xcb-util-0.4.0  USE="-doc -static-libs {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/xcb-util-image-0.4.0  USE="-doc -static-libs {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/xcb-util-cursor-0.1.2  USE="-doc -static-libs {-test}" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-apps/xbacklight-1.2.1
[ebuild  N     ] x11-apps/xlsclients-1.1.3
[ebuild  N     ] x11-base/xorg-x11-7.4-r2

The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by x11-libs/libxcb-1.11-r1
# required by x11-libs/xcb-util-renderutil-0.3.9-r1
# required by x11-libs/xcb-util-cursor-0.1.2
# required by x11-libs/xcb-util-0.4.0
# required by x11-apps/xbacklight-1.2.1
# required by x11-base/xorg-x11-7.4-r2
# required by xorg-x11 (argument)
>=x11-libs/libXau-1.0.8 abi_x86_32
# required by x11-libs/libX11-1.6.3
# required by x11-apps/xf86dga-1.0.3
# required by x11-base/xorg-x11-7.4-r2
# required by xorg-x11 (argument)
>=x11-proto/xextproto-7.3.0 abi_x86_32
# required by x11-libs/libX11-1.6.3
# required by x11-apps/xf86dga-1.0.3
# required by x11-base/xorg-x11-7.4-r2
# required by xorg-x11 (argument)
>=x11-proto/kbproto-1.0.7 abi_x86_32
# required by x11-libs/libXau-1.0.8
# required by x11-apps/xhost-1.0.7
# required by x11-base/xorg-x11-7.4-r2
# required by xorg-x11 (argument)
>=x11-proto/xproto-7.0.28 abi_x86_32
# required by x11-libs/libxcb-1.11-r1
# required by x11-libs/xcb-util-renderutil-0.3.9-r1
# required by x11-libs/xcb-util-cursor-0.1.2
# required by x11-libs/xcb-util-0.4.0
# required by x11-apps/xbacklight-1.2.1
# required by x11-base/xorg-x11-7.4-r2
# required by xorg-x11 (argument)
>=x11-libs/libXdmcp-1.1.2 abi_x86_32
# required by x11-libs/libxcb-1.11-r1
# required by x11-libs/xcb-util-renderutil-0.3.9-r1
# required by x11-libs/xcb-util-cursor-0.1.2
# required by x11-libs/xcb-util-0.4.0
# required by x11-apps/xbacklight-1.2.1
# required by x11-base/xorg-x11-7.4-r2
# required by xorg-x11 (argument)
>=dev-libs/libpthread-stubs-0.3-r1 abi_x86_32
# required by x11-libs/libX11-1.6.3
# required by x11-apps/xf86dga-1.0.3
# required by x11-base/xorg-x11-7.4-r2
# required by xorg-x11 (argument)
>=x11-libs/libxcb-1.11-r1 abi_x86_32
# required by x11-libs/libX11-1.6.3
# required by x11-apps/xf86dga-1.0.3
# required by x11-base/xorg-x11-7.4-r2
# required by xorg-x11 (argument)
>=x11-proto/inputproto-2.3.1 abi_x86_32
# required by x11-libs/libxcb-1.11-r1
# required by x11-libs/xcb-util-renderutil-0.3.9-r1
# required by x11-libs/xcb-util-cursor-0.1.2
# required by x11-libs/xcb-util-0.4.0
# required by x11-apps/xbacklight-1.2.1
# required by x11-base/xorg-x11-7.4-r2
# required by xorg-x11 (argument)
>=x11-proto/xcb-proto-1.11-r1000 abi_x86_32
# required by x11-drivers/nvidia-drivers-352.21[X]
# required by x11-base/xorg-drivers-1.17[video_cards_nvidia]
# required by x11-base/xorg-server-1.16.4-r1[xorg]
# required by x11-drivers/xf86-input-keyboard-1.8.1
>=x11-libs/libX11-1.6.3 abi_x86_32
# required by x11-drivers/nvidia-drivers-352.21[X]
# required by x11-base/xorg-drivers-1.17[video_cards_nvidia]
# required by x11-base/xorg-server-1.16.4-r1[xorg]
# required by x11-drivers/xf86-input-keyboard-1.8.1
>=x11-libs/libXext-1.3.3 abi_x86_32
# required by x11-libs/libX11-1.6.3
# required by x11-apps/xf86dga-1.0.3
# required by x11-base/xorg-x11-7.4-r2
# required by xorg-x11 (argument)
>=x11-proto/xf86bigfontproto-1.2.0-r1 abi_x86_32

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
 

 

this is really far far more complex than installing arch linux.

Share this post


Link to post
Share on other sites
  • 0

my /etc/portage/make.conf looks like this

MAKEOPTS="-j9"
LINGUAS="es"
INPUT_DEVICES="evdev"
VIDEO_CARDS="nvidia"
USE="X acpi gtk2 gtk3 pax_kernel uvm alsa"

my cpu is a amd fx8320 and my nvidia card is a gtx560ti

what should i add to this file?

Share this post


Link to post
Share on other sites
  • 0

now i got this

 emerge xorg-x11

You are on the right track.  :)
 
Installing Funtoo with a x86-64bit stage3 can allow 32-bit versions of certain packages to run on 64-bit (amd64) systems. 
 
In your case the default configuration of x11-drivers/nvidia-drivers is to install 64-bit AND 32-bit libraries (as indicated by nvidia-drivers USE=?(multilib) ?? in your portage output above). This however requires other packages to also be built with 32-bit libraries. Portage is indicating this following the ?The following USE changes are necessary to proceed? line.
 
To proceed you can follow the instructions that portage indicated in its last (long) message.
Emerge xorg-x11 with
emerge --ask --autounmask-write xorg-x11

Portage will indicate configuration files (package.use) requires updating. Run

etc-update

and accept/merge the changes (i.e. replace/discard old file).

 

Now retry your original xorg-x11 emerge
emerge --ask xorg-x11

Share this post


Link to post
Share on other sites
  • 0

All good advice, the only thing I would add is to limit how much you tackle at once.  Some of that perl stuff you could emerge separately so that you have a smaller chunk to deal with.  Also, I would tackle getting X and getting it working before you worry about nvidia-drivers.  I'm guessing thats the binary?   That will avoid a lot of hassles you could likely defer to later, such as having 32-bit compatible binaries.  I still don't understand why the game companies complain about Linux not being advanced enough for them, but all the games and drivers require 32 bit libraries.  Linux was the first system to go pure 64 bit, and I don't think many games will work at all on a system so old that it can't run 64 bit pointers.  Maybe I'm missing something?

 

When you have problems, break the problem down into chunks that are easier to manage.  Reduce the number of variables in your equation.

Share this post


Link to post
Share on other sites
  • 0

Also, I would tackle getting X and getting it working before you worry about nvidia-drivers.  I'm guessing thats the binary?

Are you recommending install with (VIDEO_CARDS) 'nouveau' first, confirm that X is working, and then reinstall with proprietary 'nvidia'?

 

 I still don't understand why the game companies complain about Linux not being advanced enough for them, but all the games and drivers require 32 bit libraries.  Linux was the first system to go pure 64 bit, and I don't think many games will work at all on a system so old that it can't run 64 bit pointers.  Maybe I'm missing something?

Yes one has to wonder what they are thinking! That must be why the nvidia-drivers ebuild is multilib by default.

Share this post


Link to post
Share on other sites
  • 0

i dont know why but the system shutdown when its compiling some packages

Overheating CPU? While compiling perhaps in a separate terminal run

dmesg -w

and look for messages indicating a reason why it shuts down.

Share this post


Link to post
Share on other sites
  • 0

i dont know why but the system shutdown when its compiling some packages

 

my /etc/portage/make.conf looks like this

MAKEOPTS="-j9"

LINGUAS="es"

INPUT_DEVICES="evdev"

VIDEO_CARDS="nvidia"

USE="X acpi gtk2 gtk3 pax_kernel uvm alsa"

 

my cpu is a amd fx8320 and my nvidia card is a gtx560ti

what should i add to this file?

Change your VIDEO_CARDS for:

 

VIEO_CARDS="vga noveau"

The thing is when you try to emerge the drivers for your video card, you are installing a binary package with 32bit binaries, so you need the libraries on which this depends, but as most things in Funtoo you have to compile the 32 bit libraries required, in order to use the drivers, so as suggested above get working the noveau drivers and then deal with the nvidia proprietary if you want.

 

About the shutdown, you aren't being specific, It was a proper shut down or more like a power outage, kernel panic? There's no reason why compiling would shutdown your pc, exept heat, compiling is intense, so make sure your pc is at a proper temperature.

Share this post


Link to post
Share on other sites
  • 0

i installed avething again, but i didnt try to install xorg again, about the shutdown is like a power outage, im using the cooler that came with my cpu and a lot of people said that the one that came with the cpu is not good.

Share this post


Link to post
Share on other sites
  • 0

If Linux is randomly shutting down its a hardware problem. Also, I can tell you came from a Windows platform. Linux guys generally won't recommend things like rebooting (it doesn't fix things just hides the problem), or reinstalling. Reinstalling it again is redundant unless you changed something, and even then, maybe not.

Share this post


Link to post
Share on other sites
  • 0

From what i saw emerge is going to install 183 packages for xorg-x11 !! is this correct? before using arch linux yes i used windows but i didnt use windows for about 4 years! i have to say that arch linux is a lot easier to use, but im trying to use funtoo because i want to see if it s better or not, and i like to customize my stuff, later i will try to compile the kernel using vanilla gentoo kernel.

Share this post


Link to post
Share on other sites
  • 0

 Reinstalling it again is redundant unless you changed something, and even then, maybe not.

+1 Especially when portage has stuff to do brute force,  like emerge --empty-tree. the concepts of @world and @system, are one of the things that make portage such a powerful package manager in my opinion.

 

OP:

This is just a guess but, until you add some fans to your hardware, you could try running with MAEKOPTS=-j2 or 3 as max, but as I said this is just a guess not really based on technical knowledge about microprocessors temperature. Also  you should check the manpage portage(5) about configurations in /etc/portage, I think a good  start might be package.use package.mask and package.accept_keywords .

Share this post


Link to post
Share on other sites
  • 0

From what i saw emerge is going to install 183 packages for xorg-x11 !! is this correct? before using arch linux yes i used windows but i didnt use windows for about 4 years! i have to say that arch linux is a lot easier to use, but im trying to use funtoo because i want to see if it s better or not, and i like to customize my stuff, later i will try to compile the kernel using vanilla gentoo kernel.

I would think is correct, if you check the list a lot of stuff will be virtuals, and packages that use scripting languages(python,perl,ruby, etc... no compiling), and as compiling your packages from sources requires build-time and run-time dependencies, you'll have to install more packages compared to a binary distro.

Share this post


Link to post
Share on other sites
  • 0

Or -j1 to run 1 at a time, and if the BIOS lets you underclock, do it. Also try to set your CPU governor to something slow and boring like powersave. The slower it runs the cooler. If you don't have a tool to set the governor, and you have support for cpu frequency scaling in your kernel,let me know and I can paste you a small script to set it that doesn't need any special tools.

Share this post


Link to post
Share on other sites
  • 0

i take out the cpu cooler it was full of dust, i reinstalled the cooler and i could install xorg-x11!!! one of the problem was that that the cpu got overheated! i edited the/etc/portage/make.conf and i used vga noveau,  now i have to install the nvidia driver, thanks a lot and i have to buy a new cooler im thinking in a thermaright spirit 140 or something like that! thanks a lot!!!

Share this post


Link to post
Share on other sites
  • 0

After installing the packages i typed startx and i got something like this

fatal server error

(EE) no screen found (EE)

(EE)

server terminated with error (1) closing log file

xinit giving up

xinit unable to connect to x server

server error

Any suggestions please?

Share this post


Link to post
Share on other sites
  • 0

Didn't the error message told you about a larger log file?  like /var/log/Xorg.$DISPLAY.log,  there's not really much info in the error you posted. seems like the driver wasn't handled properly because of the screen line, but not much info anyway.

Share this post


Link to post
Share on other sites
  • 0

This could be happening due to your ~/.xinitrc not being configured correctly. X11-apps/xdm was probably bought in by xorg-x11, run rc-update add xdm default to start it on boot. Try starting x11 or any other de you've installed and you might have a bit more luck.

Share this post


Link to post
Share on other sites
  • 0

i typed this command echo "blacklist nouveau" >> /etc/modprobe.d/blacklist.conf   , when trying to install the nvida driver could it be that it doesnt start because of this?

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...